Page MenuHomePhabricator

Replace 24x24px SVGs in MF/Minerva
Closed, ResolvedPublic3 Estimated Story Points

Description

Description

This related to the work in T229440

Updated SVGs to be used

NOTE: there are currently two different User icons on the mobile site — the filled-in one used in the sidebar for logged-in (non-AMC) users, and the outlined one used in the header for AMC users. Only the filled-in one needs to be updated.
ltrrtlstatus
Back/previous arrow
Bytes added(same)
Bytes removed*use rotated Bytes added icon(same)
Bytes unchanged*use rotated Bytes added icon(same)
Close/X(same)
Edit(same)
Hamburger(same)
History(same)
Home(same)
Language(same)
Log in
Log out
Nearby(same)
Random(same)
Settings(same)
Search within page(same)
Table of contents
User(same)
Watch(same)
Watchlist(same)
Stop watching(same)

Event Timeline

ovasileva triaged this task as High priority.Aug 30 2019, 3:39 PM
alexhollender updated the task description. (Show Details)Sep 3 2019, 4:24 PM
alexhollender removed the point value for this task.
ovasileva set the point value for this task to 3.Sep 3 2019, 4:26 PM
Jdlrobson moved this task from Needs triage to MinervaNeue on the Mobile board.Sep 4 2019, 4:10 PM

Change 534529 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Update MobileFrontend icons to Wikimedia UI equivalents

https://gerrit.wikimedia.org/r/534529

Jdlrobson added a comment.EditedSep 4 2019, 8:50 PM

Patch above changes back and close icons.

Now need to look at close and user icons.

@alexhollender Does the "User" icon refer to:
http://en.m.wikipedia.beta.wmflabs.org/w/load.php?modules=wikimedia.ui&image=userAvatar&format=original&lang=en&skin=minerva
OR https://en.m.wikipedia.beta.wmflabs.org/w/load.php?modules=skins.minerva.icons.images&image=profile&format=original&lang=en&skin=minerva OR both OR something else? Are these icons the same (they are not for some reason in the codebase)?

here are the icons I see that could be called user icons

userAvatarOutline (top right) and profile (in menu):

profile:

userAvatar:

Change 534535 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Use avatarIcon instead of profile and update logout icon

https://gerrit.wikimedia.org/r/534535

@Jdlrobson the filled user icon refers to these two:

The other one you referenced is soon to be changed per T230694

https://gerrit.wikimedia.org/r/534535 renames the icon called 'profile' in the code per Alex's instructions. It will now be called userAvatar.

Change 534535 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Use avatarIcon instead of profile

https://gerrit.wikimedia.org/r/534535

alexhollender updated the task description. (Show Details)Sep 6 2019, 3:11 PM
alexhollender updated the task description. (Show Details)Sep 6 2019, 4:29 PM

Change 534865 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] New table of contents icon, prepare for arrow->expand rename

https://gerrit.wikimedia.org/r/534865

@Volker_E Note search within pages or TOC are not in Wikimedia UI

I'm seeing the following icon which is similar to the toc icon in Wikimedia UI. Should these icons be the same?


stripeSummary-rtl.svg

These icons will continue to use local definitions (https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/534865/)

@Jdlrobson Would you provide contextual screenshot of the toc icon?

Change 534865 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] New table of contents icon, prepare for arrow->expand rename

https://gerrit.wikimedia.org/r/534865

Change 534529 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update MobileFrontend icons to WikimediaUI theme equivalents

https://gerrit.wikimedia.org/r/534529

Jdlrobson reassigned this task from Jdlrobson to Edtadros.Sep 9 2019, 9:18 PM
Jdlrobson reassigned this task from Edtadros to alexhollender.
Jdlrobson added a subscriber: Edtadros.

I think this can skip QA, provided it has a design review from Alex.

All SVGS should listed now be updated and live on https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain

Change 535960 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Restore arrows to ImageCarousel

https://gerrit.wikimedia.org/r/535960

Change 535960 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Restore arrows to ImageCarousel

https://gerrit.wikimedia.org/r/535960

alexhollender removed alexhollender as the assignee of this task.Sep 17 2019, 7:08 PM

@Jdlrobson @Jdrewniak unless there's a caching issue it looks like Watch and Un-watch (which appear in the article toolbar) have not been updated yet. When inspecting them I see the old SVG.

@Jdlrobson @Jdrewniak unless there's a caching issue it looks like Watch and Un-watch (which appear in the article toolbar) have not been updated yet. When inspecting them I see the old SVG.

hmm looks like we have two icons - one in Minerva and one in MobileFrontend: .mw-ui-icon-minerva-watch and .mw-ui-icon-mf-watch
Which is the right one?
https://en.m.wikipedia.beta.wmflabs.org/w/load.php?modules=skins.minerva.icons.images&image=watch&format=original&skin=minerva
or https://en.m.wikipedia.beta.wmflabs.org/w/load.php?modules=mobile.startup.images&image=watch&format=rasterized&skin=minerva&version=1u9iy ?

Jdlrobson added a comment.EditedSep 17 2019, 9:52 PM

@alexhollender should the star be blue or green? (it's easier if it's blue..)

Change 537558 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Update watchstar icon location

https://gerrit.wikimedia.org/r/537558

Change 537559 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove watch and watched icons from repository in favor of Wikimedia UI

https://gerrit.wikimedia.org/r/537559

@alexhollender should the star be blue or green? (it's easier if it's blue..)

Blue

@alexhollender should the star be blue or green? (it's easier if it's blue..)

Blue

Exciting! :)

Change 538114 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Use core watchstar code

https://gerrit.wikimedia.org/r/538114

Change 537559 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove watch and watched icons from repository in favor of Wikimedia UI

https://gerrit.wikimedia.org/r/537559

Change 537558 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Update watchstar icon location

https://gerrit.wikimedia.org/r/537558

@alexhollender blue watchstar should be live on the beta cluster shortly. It will ride train early tomorrow so please let me know today if there are any problems.
https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain

@alexhollender blue watchstar should be live on the beta cluster shortly. It will ride train early tomorrow so please let me know today if there are any problems.
https://en.m.wikipedia.beta.wmflabs.org/wiki/Spain

Looks good. Not sure where it should go next.

@Jdlrobson, @alexhollender - have we tested the other SVGs? I think T231613#5500661 means that the rest are okay but wanted to confirm before signoff.

@Jdlrobson, @alexhollender - have we tested the other SVGs? I think T231613#5500661 means that the rest are okay but wanted to confirm before signoff.

Yes I went through an inspected all of them. I'm not sure it makes sense to do more QA on this one.

ovasileva closed this task as Resolved.Sep 25 2019, 9:02 AM

@Jdlrobson, @alexhollender - have we tested the other SVGs? I think T231613#5500661 means that the rest are okay but wanted to confirm before signoff.

Yes I went through an inspected all of them. I'm not sure it makes sense to do more QA on this one.

Perfect, resolving.

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks